io.vertx.core

## Interface TimeoutStream

- All Superinterfaces:
    ReadStream<Long>, StreamBase

      public interface TimeoutStream
      extends ReadStream<Long>

  A timeout stream is triggered by a timer, the `Handler` will be call when the timer is fired, it can be once or several times depending on the nature of the timer related to this stream. The `ReadStream.endHandler(Handler)` will be called after the timer handler has been called.

  Pausing the timer inhibits the timer shots until the stream is resumed. Setting a null handler callback cancels the timer.

  Author:
    Julien Viet

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `cancel()` Cancels the timeout.
    `TimeoutStream` | `endHandler(Handler<Void> endHandler)` Set an end handler.
    `TimeoutStream` | `exceptionHandler(Handler<Throwable> handler)` Set an exception handler on the read stream.
    `TimeoutStream` | `handler(Handler<Long> handler)` Set a data handler.
    `TimeoutStream` | `pause()` Pause the `ReadSupport`.
    `TimeoutStream` | `resume()` Resume reading.

- - ### Method Detail

    - #### exceptionHandler

          TimeoutStream exceptionHandler(Handler<Throwable> handler)

      Description copied from interface: `ReadStream`
      Set an exception handler on the read stream.
      Specified by:
        `exceptionHandler` in interface `ReadStream<Long>`
      Specified by:
        `exceptionHandler` in interface `StreamBase`
      Parameters:
        `handler` - the exception handler
      Returns:
        a reference to this, so the API can be used fluently

    - #### handler

          TimeoutStream handler(Handler<Long> handler)

      Description copied from interface: `ReadStream`
      Set a data handler. As data is read, the handler will be called with the data.
      Specified by:
        `handler` in interface `ReadStream<Long>`
      Returns:
        a reference to this, so the API can be used fluently

    - #### pause

          TimeoutStream pause()

      Description copied from interface: `ReadStream`
      Pause the `ReadSupport`. While it's paused, no data will be sent to the `dataHandler`
      Specified by:
        `pause` in interface `ReadStream<Long>`
      Returns:
        a reference to this, so the API can be used fluently

    - #### resume

          TimeoutStream resume()

      Description copied from interface: `ReadStream`
      Resume reading. If the `ReadSupport` has been paused, reading will recommence on it.
      Specified by:
        `resume` in interface `ReadStream<Long>`
      Returns:
        a reference to this, so the API can be used fluently

    - #### endHandler

          TimeoutStream endHandler(Handler<Void> endHandler)

      Description copied from interface: `ReadStream`
      Set an end handler. Once the stream has ended, and there is no more data to be read, this handler will be called.
      Specified by:
        `endHandler` in interface `ReadStream<Long>`
      Returns:
        a reference to this, so the API can be used fluently

    - #### cancel

          void cancel()

      Cancels the timeout. Note this has the same effect as calling `handler(Handler)` with a null argument.

Copyright © 2017. All rights reserved.